<?php
class ModelPaymentCieloTransparente extends Model {
	public function getMethod($address, $total) {
		$this->load->language('payment/cielo_transparente');

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('cielo_transparente_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");

		if ($this->config->get('cielo_transparente_total') > 0 && $this->config->get('cielo_transparente_total') > $total) {
			$status = false;
		} elseif (!$this->config->get('cielo_transparente_geo_zone_id')) {
			$status = true;
		} elseif ($query->num_rows) {
			$status = true;
		} else {
			$status = false;
		}

		$method_data = array();

		if ($status) {
			$method_data = array(
				'code'       => 'cielo_transparente',
				'title'      => ($this->config->get('cielo_transparente_descricao')) ? $this->config->get('cielo_transparente_descricao') : $this->language->get('text_title'),
				'terms'      => '',
				'sort_order' => $this->config->get('cielo_transparente_sort_order')
			);
		}

		if ($this->config->get('cielo_transparente_ambiente_teste')){
		    if ($this->customer->getId() == $this->config->get('cielo_transparente_client_teste')){
		        return $method_data;
		    }
		}else{
		    return $method_data;
		}

	}

        public function getOrderCieloID($orderID){

            $row =   $this->db->query("SELECT `order_cielo_id` FROM `" . DB_PREFIX . "order_cielo` WHERE `pedido_numero` = " . (int) $orderID . " limit 1")->row;
            if(isset($row['order_cielo_id'])) {
                return $row['order_cielo_id'];
            } else {
                return 0;
            }

        }

        public function setOrderCielo($cielo_tid,$cielo_lr,$cielolrmsg,$cielostatuspgto,$pedido_numero,$valorcielo,$tipo,$bandeira,$parcelas,$moeda="BRL",$idioma="BR"){

            $pedidodata = date('d/m/Y H:i:s');
            $this->db->query("INSERT INTO " . DB_PREFIX . "order_cielo (tid,lr,status_lr, status_pagamento, pedido_numero,pedido_valor,pedido_moeda,pedido_data,pedido_idioma,pagamento_tipo,pagamento_bandeira,pagamento_produto,pagamento_parcelas) VALUES ('" . $cielo_tid . "','" . $cielo_lr . "','" . $cielolrmsg . "','" .$cielostatuspgto. "','" .$pedido_numero . "','" . $valorcielo . "','" .$moeda. "','" . $pedidodata . "','" . $idioma. "','" . $tipo . "','". $bandeira . "','1','" . $parcelas . "')");


        }
}
